> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oppiwallet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Cüzdan Bakiyesi

> Bu API, kullanıcının cüzdan bakiyesini almak için kullanılır.

## Kimlik Doğrulama

<ParamField header="signatureToken" type="string" required>
  API kimlik doğrulaması için bir JWT token gereklidir.
  Boş bir dize kullanarak <a href="/tr/authentication/generate-jwt-token">JWT Token Oluşturma</a> bölümünde açıklandığı gibi bir JWT token oluşturun.
</ParamField>

## Başlıklar (Headers)

<ParamField header="Content-Type" type="string" required>
  `application/json` olarak ayarlanmalıdır.
</ParamField>

## Yol Parametreleri (Path Parameters)

<ParamField path="currencyId" type="string" required>
  Bakiyesini almak istediğiniz para biriminin kimliği.
</ParamField>

## İstek

Bu uç nokta için bir istek gövdesi gerekli değildir.

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://doc-api.oppiwallet.com/api/v1/balance/6698aec7f188ae24c673da1c' \
    --header 'signatureToken: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...' \
    --header 'Content-Type: application/json'
  ```

  ```javascript JavaScript theme={null}
  const axios = require('axios');

  let config = {
    method: 'get',
    maxBodyLength: Infinity,
    url: 'https://doc-api.oppiwallet.com/api/v1/balance/6698aec7f188ae24c673da1c',
    headers: { 
      'signatureToken': 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...',
      'Content-Type': 'application/json'
    }
  };

  axios.request(config)
    .then((response) => {
      console.log(JSON.stringify(response.data));
    })
    .catch((error) => {
      console.log(error);
    });
  ```

  ```python Python theme={null}
  import requests

  currency_id = "6698aec7f188ae24c673da1c"
  url = f"https://doc-api.oppiwallet.com/api/v1/balance/{currency_id}"

  headers = {
      "signatureToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
      "Content-Type": "application/json"
  }

  response = requests.get(url, headers=headers)
  print(response.json())
  ```

  ```go Go theme={null}
  package main

  import (
      "fmt"
      "net/http"
      "io/ioutil"
  )

  func main() {
      url := "https://doc-api.oppiwallet.com/api/v1/balance/6698aec7f188ae24c673da1c"

      req, _ := http.NewRequest("GET", url, nil)
      req.Header.Add("signatureToken", "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...")
      req.Header.Add("Content-Type", "application/json")

      res, _ := http.DefaultClient.Do(req)
      defer res.Body.Close()
      body, _ := ioutil.ReadAll(res.Body)

      fmt.Println(string(body))
  }
  ```

  ```php PHP theme={null}
  <?php
  $curl = curl_init();

  $currencyId = "6698aec7f188ae24c673da1c";

  curl_setopt_array($curl, [
    CURLOPT_URL => "https://doc-api.oppiwallet.com/api/v1/balance/{$currencyId}",
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_ENCODING => "",
    CURLOPT_MAXREDIRS => 10,
    CURLOPT_TIMEOUT => 30,
    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
    CURLOPT_CUSTOMREQUEST => "GET",
    CURLOPT_HTTPHEADER => [
      "signatureToken: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
      "Content-Type: application/json"
    ],
  ]);

  $response = curl_exec($curl);
  $err = curl_error($curl);

  curl_close($curl);

  if ($err) {
    echo "cURL Error #:" . $err;
  } else {
    echo $response;
  }
  ?>
  ```
</RequestExample>

## Yanıt

Belirtilen para birimi için mevcut bakiyeyi döndürür.

<ResponseField name="balance" type="number" required>
  Belirtilen para birimi için cüzdandaki mevcut bakiye.
</ResponseField>

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "balance": 0.564333586
  }
  ```

  ```json 400 Bad Request theme={null}
  {
    "message": "Hata mesajı"
  }
  ```

  ```json 404 Not Found theme={null}
  {
    "message": "Para birimi bulunamadı"
  }
  ```
</ResponseExample>
